Subject: [Catalina22] I just purchased a 1972 Hull # 1751

From: LOCKHART KENNETH G <[email-masked]>
Date: Thu, 25 May 2006 18:39:03 -0700 (PDT)

I just purchased an old Cat 22 at my sailing club. The boat needs some work but was in fair shape. Rich Fox, the Natl. Commodore of the Cat 22 association is a friend and member of my club. Rich has clued me in on some of the upgrades I need to make,  but I was wondering if there are any folks that race a boat of about that hull number and if that year was one of the lighter hulls? 
  I look forward to racing and meeting some of you Cat 22 folks at some of the Cat 22 regattas and cruising events.
   
  Thanks,
  Ken Lockhart